Bio::Tools::PrositeScan(3)

NAME
Bio::Tools::PrositeScan - Parser for ps_scan result

SYNOPSIS
  use Bio::Tools::PrositeScan;

  my $factory = Bio::Tools::PrositeScan->new(
      -file => 'out.PrositeScan'
  );

  while(my $match = $factory->next_prediction){
      #  $match is of Bio::SeqFeature::FeaturePair
      my $q_id = $fatch->feature1->seq_id;
      my $h_id = $fatch->feature2->seq_id;
  }

DESCRIPTION
This is the parser of the output of ps_scan program. It takes either a file handler or a file name, and returns a Bio::SeqFeature::FeaturePair object.

AUTHOR
Juguang Xiao, juguang@tll.org.sg

  new
  Title   : new
  Usage   : Bio::Tools::PrositeScan->new(-file => 'out.PrositeScan');
            Bio::Tools::PrositeScan->new(-fh => \*FH);
  Returns : L<Bio::Tools::PrositeScan>

  next_prediction
  Title   : new
  Usage   :
      while($result = $factory->next_prediction){
          ;
      }

  Returns : a Bio::SeqFeature::FeaturePair object